Package writer2latex.office

# Class TocReader

java.lang.Object
writer2latex.office.TocReader

public class TocReader extends Object

The class reads a `text:table-of-content` element.

## Constructor Summary

Constructors
Constructor
Description
`TocReader(Element onode)`
Initialize the TocReader with a table of content node.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndexSourceStyleLevel(String sStyleName)`
Get the level associated with a specific index source style
`Set<String>`
`getIndexSourceStyles()`
Get a set view of all index source styles
`Element`
`getIndexTitleTemplate()`
Get the index title template for this toc
`String`
`getName()`
Get the (section) name for this toc
`int`
`getOutlineLevel()`
Get max outline level for this toc
`String`
`getStyleName()`
Get the (section) style name for this toc
`Element`
`getTocEntryTemplate(int nLevel)`
Get the entry template for this toc at a specific level
`boolean`
`isByChapter()`
Is this toc by chapter?
`boolean`
`useIndexMarks()`
Do we use toc marks in this toc?
`boolean`
`useIndexSourceStyles()`
Do we use additional styles in this toc?
`boolean`
`useOutlineLevel()`
Do we use outline (headings) in this toc?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TocReader

public TocReader(Element onode)

Initialize the TocReader with a table of content node.

Parameters:
  `onode` - a `text:table-of-content`

## Method Details

### getName

public String getName()

Get the (section) name for this toc

Returns:
  the name of the toc

### getStyleName

public String getStyleName()

Get the (section) style name for this toc

Returns:
  name of the section style to use for this toc

### getOutlineLevel

public int getOutlineLevel()

Get max outline level for this toc

Returns:
  max outline level

### useOutlineLevel

public boolean useOutlineLevel()

Do we use outline (headings) in this toc?

Returns:
  true if headings should be used

### useIndexSourceStyles

public boolean useIndexSourceStyles()

Do we use additional styles in this toc?

Returns:
  true if additional styles should be used

### useIndexMarks

public boolean useIndexMarks()

Do we use toc marks in this toc?

Returns:
  true if toc marks should be used

### isByChapter

public boolean isByChapter()

Is this toc by chapter?

Returns:
  true if the scope is a chapter only

### getIndexTitleTemplate

public Element getIndexTitleTemplate()

Get the index title template for this toc

Returns:
  the `text:index-title-template` element, or null

### getTocEntryTemplate

public Element getTocEntryTemplate(int nLevel)

Get the entry template for this toc at a specific level

Parameters:
  `nLevel` - the outline level
Returns:
  the `text:table-of-content-entry-template` element, or null

### getIndexSourceStyles

public Set<String> getIndexSourceStyles()

Get a set view of all index source styles

Returns:
  a set of all index source style names

### getIndexSourceStyleLevel

public int getIndexSourceStyleLevel(String sStyleName)

Get the level associated with a specific index source style

Parameters:
  `sStyleName` - the style name of the index source style
Returns:
  the level or -1 if the style is not used in this toc